# Interface AnimationFrameContext<Args, RequestId>

interface AnimationFrameContext<Args extends any[] = any[], RequestId = any> {
cancelAnimationFrame(requestId: RequestId): void;
requestAnimationFrame(
fn: (...args: [domHighResTimeStamp: number, ...args: Args[]]) => void,
): RequestId;
}

#### Type Parameters

- Args extends any[] = any[]
- RequestId = any

- Defined in lib/five/utils/animationFrameLoop.ts:6

##### Index

### Methods

cancelAnimationFrame
requestAnimationFrame

## Methods

### cancelAnimationFrame

- cancelAnimationFrame(requestId: RequestId): void

  #### Parameters

  - requestId: RequestId

  #### Returns void

  - Defined in lib/five/utils/animationFrameLoop.ts:8

### requestAnimationFrame

- requestAnimationFrame(
  fn: (...args: [domHighResTimeStamp: number, ...args: Args[]]) => void,
  ): RequestId

  #### Parameters

  - fn: (...args: [domHighResTimeStamp: number, ...args: Args[]]) => void

  #### Returns RequestId

  - Defined in lib/five/utils/animationFrameLoop.ts:7